Bug 448748 - Review Request: cylindrix - 3 degrees of freedom combat game
Review Request: cylindrix - 3 degrees of freedom combat game
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-28 11:41 EDT by Gwyn Ciesla
Modified: 2008-07-26 02:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 09:10:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)
cylindrix-1.0-fix-packing.patch (7.39 KB, patch)
2008-06-15 17:45 EDT, Hans de Goede
no flags Details | Diff
cylindrix-1.0-arch-independ-file-read.patch (21.03 KB, patch)
2008-06-15 17:46 EDT, Hans de Goede
no flags Details | Diff
cylindrix-1.0-use-int-not-long.patch (188.61 KB, patch)
2008-06-15 17:46 EDT, Hans de Goede
no flags Details | Diff
cylindrix-1.0-arch-independ-file-write.patch (3.46 KB, patch)
2008-06-16 15:23 EDT, Hans de Goede
no flags Details | Diff
cylindrix-1.0-arch-independ-file-write.patch (5.11 KB, patch)
2008-06-16 15:32 EDT, Hans de Goede
no flags Details | Diff

  None (edit)
Description Gwyn Ciesla 2008-05-28 11:41:44 EDT
Description: Cylindrix is a 3-on-3 combat game with 360 degrees of freedom that is
similar to Spectre VR but with a wider variety of ships, as well as the
addition of drivers. Attack and be attacked from all angles as you battle
in huge orbiting arenas that are each unique in physics, atmospheric
conditions, and configuration. You must build your team from 37 warriors
from 10 alien races and select from 8 vehicles, each with unique 
maneuverability, speed, and firepower. The graphics are good, although
structure and ship graphics are a little too monotonous. Gameplay is fast
and furious... so furious, in fact, that it is difficult to differentiate
between friend and foe in the thick of battle. For those who are confident
of their reflexes or have beaten Spectre and Battlezone, though, this game
is worth a try.

SRPM: http://zanoni.jcomserv.net/fedora/cylindrix/cylindrix-1.0-1.fc8.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/cylindrix/cylindrix.spec
Comment 1 Hans de Goede 2008-05-31 04:29:16 EDT
Wanna swap reviews? :

* elice - Elice is a PureBasic to c++ translator / compiler
https://bugzilla.redhat.com/show_bug.cgi?id=448310

* lostlabyrinth - Lost Labyrinth is a coffeebreak dungeon crawling game
https://bugzilla.redhat.com/show_bug.cgi?id=448311

* lostlabyrinth-sounds - Lost Labyrinth sounds
https://bugzilla.redhat.com/show_bug.cgi?id=448312

* lostlabyrinth-graphics - Lost Labyrinth graphics
https://bugzilla.redhat.com/show_bug.cgi?id=448313

* trophy - Car racing game with special features
https://bugzilla.redhat.com/show_bug.cgi?id=448422
Comment 2 Hans de Goede 2008-06-14 14:28:17 EDT
Full review done, must fix:

* You don't BuildRequire anything you need at least allegro-devel

* Currently you copy everything to %{_datadir} and then remove what you don't
  need, thats really the wrong way around, esp you mostly need to copy a few dirs.

* crashes on x86_64 (I'll investigate this and see if I can come up with a fix)
Comment 3 Hans de Goede 2008-06-14 14:29:42 EDT
More must fix:

* Remove bogus ChangeLog INSTALL NEWS README files from %doc, they are all
  useless.
Comment 4 Hans de Goede 2008-06-15 17:44:34 EDT
OKay, I now have it working on x86_64, and with these it should work on ppc too,
I've already submitted these patches upstream.

cylindrix-1.0-fix-packing.patch:
 Change #ifdef so that packing of applicable structures gets enabled,
 remove PACKED_STRUCT macro from struct members which have 1 byte alignment
 by default to shut up warnings. This fixes playback of the cylindrix logo fli
 on startup

cylindrix-1.0-arch-independ-file-read.patch:
 reading a memory dump of a struct from disk, will only work on the same
 machine as the struct was created, replace the simple fread(struct) calls
 with code which knows the data on disk is an intel struct dump and reads it
 in such a way it will work on any platform

cylindrix-1.0-use-int-not-long.patch:
 cylindrix uses longs all over the place in the sourcecode where it wants
 32 bits integers, however longs are 64 bit on 64 bit machines wrecking havoc,
 this patch replaces all use of long with int.


Note,

Even with these we are still not good to go, I need to also make the writing of
the overal stats system independent and currently saving any settings / stats
will not work at all when run as user, because you are starting cylindrix under
/usr/share/cylindrix where it cannot write its settings.

Instead from the script you should create a ~/.cylindrix, symlink the relevant
data dirs under there, and copy the config / pilot files, so that they can be
overridden and then start cylindrix-bin under ~/.cylindrix.

I'll be waiting for a new version from you to review with all the mentioned Must
FIX items fixed, these patches applied and the startup script modified so that
settings cna be saved.

Once that is done I'll start working on making the overal stat saving platform
agnostic.
Comment 5 Hans de Goede 2008-06-15 17:45:31 EDT
Created attachment 309415 [details]
cylindrix-1.0-fix-packing.patch
Comment 6 Hans de Goede 2008-06-15 17:46:09 EDT
Created attachment 309416 [details]
cylindrix-1.0-arch-independ-file-read.patch
Comment 7 Hans de Goede 2008-06-15 17:46:27 EDT
Created attachment 309417 [details]
cylindrix-1.0-use-int-not-long.patch
Comment 8 Gwyn Ciesla 2008-06-16 12:02:25 EDT
All the above addressed.  Thanks for the massive amount of work!

SRPM: http://zanoni.jcomserv.net/fedora/cylindrix/cylindrix-1.0-2.fc9.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/cylindrix/cylindrix.spec
Comment 9 Hans de Goede 2008-06-16 14:08:40 EDT
Much better, but still needs a tiny bit of work:

MUST FIX
--------

* Don't install cylindrix.rc, cylindrix.dsp and cylindrix.ico, those are visual
  studio project files
* When an icon is installed in the fdo icon hierarchy it should be named without
  extension in the .desktop file
* Apply one more patch to fix writing of overal stats on non i386 machines
  (I'll start working on this now, so don't expect it to be attached
   immediately).

SHOULD FIX
----------

* Change: 'make CFLAGS="$RPM_OPT_FLAGS"' to
  'make CFLAGS="$RPM_OPT_FLAGS -Wno-pointer-sign"'

  This way only the usefull warnings remain.
Comment 10 Gwyn Ciesla 2008-06-16 14:30:31 EDT
Corrected VS files, icon extension, cflags.

SRPM: http://zanoni.jcomserv.net/fedora/cylindrix/cylindrix-1.0-3.fc9.src.rpm
SPEC: http://zanoni.jcomserv.net/fedora/cylindrix/cylindrix.spec
Comment 11 Hans de Goede 2008-06-16 15:23:20 EDT
Created attachment 309525 [details]
cylindrix-1.0-arch-independ-file-write.patch

More MUST FIX:
--------------

* The "if [ ! -a ~/.cylindrix ]; then" line in cylindrix.sh should be
  if [ ! -d ~/.cylindrix ]; then
  Now it tries to create all the symlinks each time flooding the terminal
  with errors

* gamedata should be copied and not symlinked, as it contains various files
  which are written

More should fix:
----------------

* It would be better to at the end of cylindrix.sh, not use:
  'cylindrix-bin' but instead use:
  exec cylindrix-bin "$@"

  The exec stops from a useless sh process hanging around and the "$@" passes
  any options passed to the script to the executable.
Comment 12 Hans de Goede 2008-06-16 15:32:39 EDT
Created attachment 309526 [details]
cylindrix-1.0-arch-independ-file-write.patch

New version, which does not mess up the displaying of the filenames in the
menu, please use this version.
Comment 14 Hans de Goede 2008-06-16 16:04:57 EDT
Perfect: approved!
Comment 15 Gwyn Ciesla 2008-06-16 16:18:40 EDT
New Package CVS Request
=======================
Package Name: cylindrix
Short Description: 3 degrees of freedom combat game
Owners: limb
Branches: devel F-9 F-8
InitialCC:
Cvsextras Commits: yes

Thanks!
Comment 16 Dennis Gilmore 2008-06-16 16:48:30 EDT
CVS Done
Comment 17 Fedora Update System 2008-06-17 09:08:49 EDT
cylindrix-1.0-4.fc9 has been submitted as an update for Fedora 9
Comment 18 Fedora Update System 2008-06-17 09:09:54 EDT
cylindrix-1.0-4.fc8 has been submitted as an update for Fedora 8
Comment 19 Gwyn Ciesla 2008-06-17 09:10:39 EDT
Imported, built, updates submitted.  Thanks!
Comment 20 Fedora Update System 2008-06-17 23:15:05 EDT
cylindrix-1.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2008-06-17 23:16:31 EDT
cylindrix-1.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2008-07-26 02:10:05 EDT
cylindrix-1.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.